/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.hr.modular.baseemployeeinfo.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fhs.core.trans.anno.Trans;
import com.fhs.core.trans.constant.TransType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.hr.modular.basedepartment.entity.HrBaseDepartment;

import java.util.Date;

/**
 * 人员明细实体
 *
 * @author 余
 * @date  2024/11/14 15:02
 **/
@Getter
@Setter
@TableName("hr_base_employee_info")
public class HrBaseEmployeeInfo {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 头像 */
    @ApiModelProperty(value = "头像", position = 2)
    private String avatar;

    /** 姓名 */
    @ApiModelProperty(value = "姓名", position = 3)
    private String name;

    /** 性别 */
    @ApiModelProperty(value = "性别 0男 1 女", position = 4)
    private String gender;

    /** 年龄 */
    @ApiModelProperty(value = "年龄", position = 5)
    private String age;

    /** 出生日期 */
    @ApiModelProperty(value = "出生日期", position = 6)
    private Date birthday;

    /** 民族 */
    @ApiModelProperty(value = "民族", position = 7)
    private String nation;

    /** 籍贯 */
    @ApiModelProperty(value = "籍贯", position = 8)
    private String nativePlace;

    /** 家庭住址 */
    @ApiModelProperty(value = "家庭住址", position = 9)
    private String homeAddress;

    /** 通信地址 */
    @ApiModelProperty(value = "通信地址", position = 10)
    private String mailingAddress;

    /** 证件类型 */
    @ApiModelProperty(value = "证件类型", position = 11)
    private String idCardType;

    /** 证件号码 */
    @ApiModelProperty(value = "证件号码", position = 12)
    private String idCardNumber;

    /** 文化程度 */
    @ApiModelProperty(value = "文化程度", position = 13)
    private String cultureLevel;

    /** 政治面貌 */
    @ApiModelProperty(value = "政治面貌", position = 14)
    private String politicalOutlook;

    /** 学历 */
    @ApiModelProperty(value = "学历 0小学 1初中 2高中 3本科 4研究生", position = 15)
    private int education;

    /** 手机 */
    @ApiModelProperty(value = "手机", position = 16)
    private String phone;

    /** 入职日期 */
    @ApiModelProperty(value = "入职日期", position = 17)
    private Date entryDate;

    /** 机构id */
    @ApiModelProperty(value = "机构id", position = 18)
//    @Trans(type = TransType.SIMPLE, target = HrBaseDepartment.class, fields = "name", alias = "manager", ref = "managerName")
    private String departmentId;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 19)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 20)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 21)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 22)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 23)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 司龄 */
    @ApiModelProperty(value = "司龄", position = 24)
    private Integer siLing;

    /** 薪酬 */
    @ApiModelProperty(value = "薪酬", position = 25)
    private Integer pay;

    /** 产值 */
    @ApiModelProperty(value = "产值", position = 26)
    private Integer outputValue;

    /** 0在职1离职2退休返聘 */
    @ApiModelProperty(value = "0在职1离职2退休返聘", position = 27)
    private Integer userType;

    /** 预计退休时间 */
    @ApiModelProperty(value = "预计退休时间", position = 28)
    private Date retireTime;

    /** 0 未婚 1已婚 */
    @ApiModelProperty(value = "0 未婚 1已婚", position = 29)
    private Integer marriage;

    /** 工龄 */
    @ApiModelProperty(value = "工龄", position = 30)
    private Integer seniority;
}
