package vip.xiaonuo.purchase.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 采购订单表
 * </p>
 *
 * @author author
 * @since 2024-11-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("purchase_order")
public class PurchaseOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号", position = 2)
    private String orderNumber;

    /**
     * 采购金额
     */
    @ApiModelProperty(value = "采购金额", position = 3)
    private String purchaseMoney;

    /**
     * 采购材料
     */
    @ApiModelProperty(value = "采购材料", position = 4)
    private String material;

    /**
     * 供应商
     */
    @ApiModelProperty(value = "供应商", position = 5)
    private String supplier;

    /**
     * 收料数量
     */
    @ApiModelProperty(value = "收料数量", position = 6)
    private String materialAcceptNumber;

    /**
     * 收料金额
     */
    @ApiModelProperty(value = "收料金额", position = 7)
    private String materialAcceptPrice;

    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量", position = 8)
    private String enterNumber;

    /**
     * 入款金额
     */
    @ApiModelProperty(value = "入款金额", position = 9)
    private String enterPrice;

    /**
     * 发票金额
     */
    @ApiModelProperty(value = "发票金额", position = 10)
    private String invoicePrice;

    /**
     * 发票数量
     */
    @ApiModelProperty(value = "发票数量", position = 15)
    private Integer invoiceNumber;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 11)
    private String orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 12)
    private Date createTime;

    /**
     * 交货及时率
     */
    @ApiModelProperty(value = "交货及时率", position = 13)
    private String rank;


    @ApiModelProperty(value = "累计月度环比", position = 14)
    private String monthRank;


}
