package vip.xiaonuo.quality.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityManufacturer;
import vip.xiaonuo.quality.entity.QualityProduce;
import vip.xiaonuo.quality.param.QualityManufacturerParam;
import vip.xiaonuo.quality.param.QualityProduceParam;
import vip.xiaonuo.quality.service.IQualityProduceService;

import java.util.List;

/**
 * <p>
 * 产品质量趋势分析 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "产品质量趋势分析")
@ApiSupport(author = "wang", order = 1)
@Validated
public class QualityProduceController {

    @Autowired
    private IQualityProduceService produceService;


    @PostMapping("/quality-produce/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("产品质量趋势分析")
    public CommonResult<List<QualityProduce>> getList(@RequestBody QualityProduceParam produceParam) {
        return CommonResult.data(produceService.getList(produceParam));
    }
}
