package vip.xiaonuo.sale.controller;


import com.alibaba.fastjson.JSONArray;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.SaleCost;
import vip.xiaonuo.sale.param.SaleCostParam;
import vip.xiaonuo.sale.param.SaleParam;
import vip.xiaonuo.sale.service.ISaleTargetService;

import java.util.List;

/**
 * <p>
 * 销售指标 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售指标")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SaleTargetController {

    @Autowired
    private ISaleTargetService targetService;

    @PostMapping("/sale-target/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售指标ka")
    public CommonResult<JSONArray> getList(@RequestBody SaleParam saleParam) {
        return CommonResult.data(targetService.getTarget(saleParam));
    }
}
